/*
 * Copyright 2006-2007 Queplix Corp.
 *
 * Licensed under the Queplix Public License, Version 1.1.1 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.queplix.com/solutions/commercial-open-source/queplix-public-license/
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 *
 */

package com.queplix.qwoss.gen;

import com.queplix.core.modules.jeo.JEObject;

/**
 * <p/>
 * Ticket Escalation JEO interface
 * </p>
 *
 * @author [ALB] Baranov Andrey
 * @version $Revision: 1.6 $ $Date: 2005/09/02 16:31:56 $
 */
public interface TicketEscalationObject
        extends JEObject {

    Long getQw_escalationid();

    Long getQw_productid();

    String getQw_productfilter();

    Long getQw_organizationid();

    Integer getQw_sendmode();

    Long getQw_employeeid();

    Long getQw_workgroupid();

    String getQw_email();

    String getQw_subject();

    Integer getQw_fireif();

    Long getQw_waittime();

    Integer getQw_timeunit();

    Integer getQw_repeat();

    Integer getQw_disable();

    String getQw_description();

    char[] getQw_mailbody();

    java.util.List dsQw_priority(Class c);

    java.util.List dsQw_status(Class c);

    java.util.List dsQw_recipient(Class c);

    void setQw_escalationid(Long l);

    void setQw_productid(Long l);

    void setQw_productfilter(String s);

    void setQw_organizationid(Long l);

    void setQw_sendmode(Integer i);

    void setQw_employeeid(Long l);

    void setQw_workgroupid(Long l);

    void setQw_email(String s);

    void setQw_subject(String s);

    void setQw_fireif(Integer i);

    void setQw_waittime(Long l);

    void setQw_timeunit(Integer i);

    void setQw_repeat(Integer i);

    void setQw_disable(Integer i);

    void setQw_description(String i);
}